Retrieve Event
Retrieves the details of an existing event by its identifier.
GET
/events/{eventId}This endpoint retrieves the full details of the specified event. You can use it as part of your workflow to manually process undelivered events as needed.
- Call this endpoint with the event's ID. This ID returned as the
items[].idproperty in the List Events endpoint response. - Stedi returns the event details, including the event type, event status, creation date, and full event payload.
Authorization
RequiredHeader
A Stedi API Key for authentication.
Path Parameters
eventId
StringRegex pattern:
^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The unique identifier for the event, formatted as evt_{UUID}.
Response
application/json
createdAt
StringRequiredFormat: date-time
An ISO 8601 timestamp of when the event was created.
eventPayload
ObjectRequired
The event payload Stedi delivers to event destinations.
eventType
StringRequiredLength: 1 - 255
The type of event, such as enrollment.activated.
id
StringRequiredRegex pattern:
^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The unique identifier for the event, formatted as evt_{UUID}.
status
StringRequired
The current status of the event. Can be:
DELIVERED: Stedi successfully delivered the event to all relevant event destinations.PENDING: Stedi is still trying to deliver the event to one or more event destinations. Events may stay in this state for multiple days as Stedi automatically retries.FAILED: Stedi couldn't deliver the event to at least one event destination and is no longer retrying. Deliveries to some event destinations may have been successful.
Possible values
PENDINGDELIVEREDFAILEDRequest
curl --request GET \ --url "https://events.us.stedi.com/2026-02-01/events/{eventId}" \ --header "Authorization: <api_key>"Response
{
"createdAt": "2026-02-01T12:00:00Z",
"eventPayload": {
"v1Event": {
"account": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"created": "2026-02-01T12:00:00.000Z",
"environment": "PRODUCTION",
"id": "evt_550e8400-e29b-41d4-a716-446655440000",
"object": "v1.event",
"resource": {
"id": "enr_661f9511-f3ac-52e5-b827-557766551111",
"type": "enrollment"
},
"type": "enrollment.activated"
}
},
"eventType": "enrollment.activated",
"id": "evt_550e8400-e29b-41d4-a716-446655440000",
"status": "DELIVERED"
}